summaryrefslogtreecommitdiff
path: root/tools/check.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/check.sh')
-rwxr-xr-xtools/check.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/check.sh b/tools/check.sh
new file mode 100755
index 0000000..823d724
--- /dev/null
+++ b/tools/check.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+[ -z "$1" ] && exit 1
+
+cat $1 | sed -e 's#<\(tmpl_[^>]*\)>#<%!\1 /!%>#g' -e 's#</\(tmpl_[^>]*\)>#<%!\1 /!%>#g' | tidy -xml
+#cat $1 | sed -e 's#\(<tmpl_var [^>]*\)>#\1 />#g' -e 's#\(<tmpl_else\)>#\1 />#g' | tidy -xml